{===================================================================================================

  Comming BASE

     . DBEdit, DBLookupCombo    .

====================================================================================================

  :

  01.09.2007 [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992007 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditComboBox.pas,v 1.1 2007/09/03 05:59:47 tsk Exp $
===================================================================================================}
unit BASEsfDBEditComboBox;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask, DB,
      DBCtrls,
      // Comming:
      CommingFlat, CommingComboBoxList;

type
  TBASEDBEditComboBoxSF = class(TFrame)
    cbField: TcoComboBoxList;
    edField: TcoDBEdit;
    laDisplayLable: TcoLabel;
  private   { Private declarations }
    FEnabled:   Boolean;
    FReadOnly:  Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.dfm}
//==================================================================================================
{ TBASEDBEditComboBoxSF }
//==================================================================================================
procedure TBASEDBEditComboBoxSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled := Value;
  edField.ReadOnly  := not Value;
  cbField.Enabled   := Value;
end;
//==================================================================================================
procedure TBASEDBEditComboBoxSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
  cbField.Enabled   := not Value;
end;
//==================================================================================================
end.
