{===================================================================================================

  Comming BASE

     .      (DBEdit + DBEdit).

====================================================================================================

  :

  27.10.2004 [*] .
  15.10.2002 [*]  -.
  09.04.2002 [+]    TBASEDBEditSF.
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992004 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditDBEdit.pas,v 1.5 2009/07/13 05:21:28 tsk Exp $
===================================================================================================}
unit BASEsfDBEditDBEdit;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEDBEditDBEditSF = class( TFrame )
    laField: TcoLabel;
    edField1: TcoDBEdit;
    edField2: TcoDBEdit;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}

//==================================================================================================
{ TBASEDBEditDBEditSF }
//==================================================================================================
procedure TBASEDBEditDBEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField1.Enabled  := Value;
  edField1.ReadOnly := not Value;
  edField2.Enabled  := Value;
  edField2.ReadOnly := not Value;
end;
//==================================================================================================
procedure TBASEDBEditDBEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField1.ReadOnly := Value;
  edField2.ReadOnly := Value;
end;
//==================================================================================================
end.
