{==================================================================================================

  Comming BASE

     .    .

===================================================================================================

  :

  12.01.2009 [*]  .
  17.04.2004 [*]   .
  13.04.2004 [*] .
  12.12.2001 [+]   ReadOnly.
  06.12.2001 [*] .
  05.12.2001 [+] Enabled:  .
  03.12.2001 [*]  .
             [*]    BASE.
  23.11.2001 [*]  TAB.
             [+]    .
  20.11.1997 [!]  .

===================================================================================================
  Copyright 19992009 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditLabel.pas,v 1.4 2009/07/13 05:21:29 tsk Exp $
==================================================================================================}
unit BASEsfDBEditLabel;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls, Mask,
      DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEDBEditLabelSF = class( TFrame )
    laField: TcoLabel;
    edField: TcoDBEdit;
    laUnit: TcoLabel;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.dfm}
//==================================================================================================
{ TBASEDBEditLabelSF }
//==================================================================================================
procedure TBASEDBEditLabelSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  laUnit.Enabled    := Value;
  edField.Enabled   := Value;
  edField.ReadOnly  := not Value;
end;
//==================================================================================================
procedure TBASEDBEditLabelSF.SetReadOnly(const Value: Boolean);
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
end;
//==================================================================================================
end.
