{===================================================================================================

  Comming BASE

     . DBEdit,  .

====================================================================================================

  :

  06.02.2005 [*] .
  15.12.2001 [+] ReadOnly:  .
  05.12.2001 [+] Enabled:  .
  03.12.2001 [-]  .
             [*]    .
  23.11.2001 [-]  TAB.
  08.06.2001 [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992005 TSK Developer Laboratory, Moscow.                   Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEdit.pas,v 1.6 2007/09/03 05:59:46 tsk Exp $
===================================================================================================}
unit BASEsfDBEdit;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, StdCtrls,
      Mask, DBCtrls,
      // Comming:
      CommingFlat;

type
  TBASEDBEditSF = class( TFrame )
    laField: TcoLabel;
    edField: TcoDBEdit;
  private   { Private declarations }
    FEnabled: Boolean;
    FReadOnly: Boolean;
    procedure   SetEnabledX( const Value: Boolean );
    procedure   SetReadOnly(const Value: Boolean);
  public    { Public declarations }
    property    Enabled: Boolean read FEnabled write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.dfm}
//==================================================================================================
{ TBASEDBEditSF }
//==================================================================================================
procedure TBASEDBEditSF.SetEnabledX( const Value: Boolean );
begin
  FEnabled          := Value;
  laField.Enabled   := Value;
  edField.Enabled   := Value;
  edField.ReadOnly  := not Value;
end;
//==================================================================================================
procedure TBASEDBEditSF.SetReadOnly( const Value: Boolean );
begin
  FReadOnly         := Value;
  edField.ReadOnly  := Value;
end;
//==================================================================================================
end.
