{===================================================================================================

  Comming BASE

     .   (), ,   .

====================================================================================================

  :

  07.04.2005 TSK  [*] .
  26.11.2002 TSK  [*]  ImageList.
  03.09.2002 TSK  [*]  TcoToolbarButton97  TcoButton.
  13.08.2002 TSK  [+] NoClick:   .
  08.08.2002 TSK  [+] ReadOnly:  .
  04.02.2002 TSK  [*]  Hints  Warnings .
  26.12.2001 TSK  [+]   Enabled.
  12.12.2001 TSK  [+]   ReadOnly.
  03.12.2001 TSK  [*]  Memo  TAB  .
                  [*]  DBMemo  Memo.
                  [+]  Hint.
                  [*]    Goods 7.
  23.11.2001 TSK  [+]    ADO.
                  [*] Memo read only.
                  [-]  TAB.
                  [+]    .
  06.04.1999 TSK  [!]   BASE.

====================================================================================================
  Copyright 19982005 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEsfDBEditMemo.pas,v 1.3 2005/04/07 05:15:58 tsk Exp $
===================================================================================================}
unit BASEsfDBEditMemo;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
      Buttons, ExtCtrls, StdCtrls, Mask, DBCtrls, DB, ADODB,
      CommingFlat, CommingButton;

type
  TBASEDBEditMemoSF = class( TFrame )
    btLabel: TcoButton;
    edFieldID: TcoDBEdit;
    meFieldText: TcoMemo;
  private   { Private declarations }
    FReadOnly: Boolean;
    procedure   SetReadOnly( const Value: Boolean );
    procedure   SetEnabledX(const Value: Boolean);
    function    GetEnabledX: Boolean;
  public    { Public declarations }
    property    Enabled: Boolean read GetEnabledX write SetEnabledX;
    property    ReadOnly: Boolean read FReadOnly write SetReadOnly;
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEDBEditMemoSF }
//==================================================================================================
procedure TBASEDBEditMemoSF.SetReadOnly(const Value: Boolean);
begin
  FReadOnly           := Value;
  edFieldID.ReadOnly  := Value;
  btLabel.NoClick     := Value;
end;
//==================================================================================================
function TBASEDBEditMemoSF.GetEnabledX: Boolean;
begin
  Result := inherited Enabled;
end;
//==================================================================================================
procedure TBASEDBEditMemoSF.SetEnabledX( const Value: Boolean );
begin
  inherited Enabled   := Value;
  btLabel.Enabled     := Value;
  edFieldID.Enabled   := Value;
  edFieldID.ReadOnly  := not Value;
  meFieldText.Enabled := Value;
  btLabel.NoClick     := not Value;
end;
//==================================================================================================
end.
