{===================================================================================================

  Comming BASE

    ,  .
      OnFind - ,   .

====================================================================================================

  :

  17.09.2008 [*] .
  12.07.2003 [*]  Hint.
  07.04.2003 [*]  TcoMemoryData  TcoPTable.
  11.10.2002 [-] .
  01.08.2002 [+]  taQuery( TcoMemoryData )  dsQuery( TDataSource ).
             [+]  constructor Create( AOwner: TComponent ); override;.
             [*]   TBASEFindFR.btGoClick( Sender: TObject ).
  08.06.2001 [+]  .
  06.04.1999 [!]   BASE.

====================================================================================================
  Copyright 19992008 TSK Developer Laboratory, Moscow.                     Konstantin Tsvetkov
                                                                              e-mail: dev@tsklab.ru
                                                                              http://www.tsklab.ru
  CVS: $Id: BASEfrFind.pas,v 1.2 2008/09/23 06:15:41 tsk Exp $
===================================================================================================}
unit BASEfrFind;

interface

uses  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs, ExtCtrls, DB,
      // BASE:
      BASEfrRoot,
      // Comming:
      CommingButton, CommingParameterTable;

type

  TDoFind = procedure of object;

  TBASEFindFR = class( TBASERootFR )
    btGo: TcoButton;
    dsQuery: TDataSource;
    taQuery: TcoPTable;
    procedure btGoClick(Sender: TObject);
  private   { Private declarations }
    FOnFind: TDoFind;
    procedure   SetOnFind(const Value: TDoFind);
  public    { Public declarations }
    constructor Create( AOwner: TComponent ); override;
    property    OnFind: TDoFind read FOnFind write SetOnFind;
  end;

implementation

{$R *.DFM}
//==================================================================================================
{ TBASEFindFR }
//==================================================================================================
constructor TBASEFindFR.Create(AOwner: TComponent);
begin
  inherited Create( AOwner );
  taQuery.LoadRecordFromRegistry;
end;
//==================================================================================================
procedure TBASEFindFR.btGoClick( Sender: TObject );
begin
  if ( taQuery.State in [ dsInsert, dsEdit ] ) then taQuery.Post;
  taQuery.SaveRecordToRegistry;
  if Assigned( FOnFind ) then FOnFind;
  CloseModal;
end;
//==================================================================================================
procedure TBASEFindFR.SetOnFind(const Value: TDoFind);
begin
  FOnFind := Value;
  btGo.Enabled := Assigned( FOnFind );
end;
//==================================================================================================
end.
